<?php
function afficherTriplets(int $idplateau)
{
    $triplets = get_triplet_cartes($idplateau);
    echo '<div id="triplets">';
    echo '</br>';
    echo '<p>Cartes:</p>';
    echo '<p>Cartes vertes: ' . $triplets['nb_verte'] . '</p>';
    echo '<p>Cartes oranges: ' . $triplets['nb_orange'] . '</p>';
    echo '<p>Cartes noires: ' . $triplets['nb_noire'] . '</p>';
    echo '</div>';
}

function afficherRangPseudo(int $idpartie)
{
    $rang = get_rang($idpartie);
    $pseudo = get_pseudos($idpartie);
    echo '<div id="rangPseudo">';
    echo '</br>';
    echo '<p>Joueurs:</p>';
    foreach ($pseudo as $p){
        echo '<p>Pseudo: ' . $p['pseudo'] . '</p>';
    }
    echo '</br>';
    echo '<p>Classement:</p>';
    foreach ($rang as $r){
        echo '<p>Pseudo: ' . $r['pseudo'] . '</p>';
        echo '<p>Rang: ' . $r['rang'] . '</p>';

    }
    echo '</div>';
}

function afficherPseudo(int $idpartie)
{
    $pseudo = get_pseudos($idpartie);
    echo '<div id="pseudo">';
    foreach ($pseudo as $p){
        echo '<p>Pseudo: ' . $p['pseudo'] . '</p>';
    }
    echo '</div>';
}
?>

<div class="panneau_details_2">

    <h2>Affichage de la partie</h2>

    <div>
        <table class="table_resultat">
            <tbody>
                <?php
                $donnees = ['idpartie', 'date_partie', 'horaire', 'taille'];
                echo '<div id="partieDetails">';
                foreach ($donnees as $donnee) {
                    if (isset($_GET[$donnee])) {
                        echo '<p>' . $donnee . ': ' . $_GET[$donnee] . '</p>';
                    }
                }
                echo '</div>';

                echo afficherTriplets(get_plateau_id($_GET['idpartie']));
                echo afficherRangPseudo($_GET['idpartie']);


                ?>
            </tbody>
        </table>
    </div>
</div>